﻿local bbs2util = require "bbs2util"

function data()
return {
	tracks = {
	
		{ name = "vehicle/br203/drv100_stand.wav", refDist = 25.0 },
		{ name = "vehicle/br203/drv100_leerlauf.wav", refDist = 25.0 },
		{ name = "vehicle/br203/drv100_mvp.wav", refDist = 25.0 },		
		{ name = "vehicle/br203/drv100_fahr1.wav", refDist = 25.0 },
		{ name = "vehicle/br203/drv100_fahr2.wav", refDist = 25.0 },
		{ name = "vehicle/br203/drv100_fahr3.wav", refDist = 25.0 },
		{ name = "vehicle/br203/drv100_fahr4.wav", refDist = 25.0 },
		{ name = "vehicle/br203/drv100_fahrt5.wav", refDist = 25.0 },
		{ name = "vehicle/br203/kurve.wav", refDist = 20.0 },
		{ name = "vehicle/br203/bremse_alt.wav", refDist = 25.0 },

	},
	events =  {
	
		horn = { names = { "vehicle/br203/drv100_horn.wav" }, refDist = 25.0 }
	},

	updateFn = function (input)
		local axleRefWeight = 10.0
		
		return {
			tracks = {
			
			-- Standsound
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, 0.8 },
									{ .01, .0 },
									{ 1.0, .0 } }, input.speed01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},
				
			-- Leelaufsound 1	
				{ 
					gain = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ .15, 1.0 },
									{ .3, 0.0 },
									{ 1.0, 0.0 } }, input.power01)*
							bbs2util.sampleCurve({ 
										{ .0, 0.0 },
										{ .01, 1.0 },
										{ .35, 1.0 },
										{ .5, 1.0 },
										{ 1.0, 1.0 } }, input.speed01),
					pitch = bbs2util.sampleCurve({ 
									{ .0, 1.0 },
									{ 1.0, 1.0 } }, input.speed01)
				},

			-- Leerlauf 2
				{ 
					gain = bbs2util.sampleCurve({ 
										{ 0.0, 0.0 },
										{ 0.15, 0.0 },
										{ 0.3, 1.0 },
										{ 0.5, 1.0 },
										{ 0.65, 0.0 },
										{ 1.0, 0.0 } }, input.power01)*
							bbs2util.sampleCurve({ 
										{ .0, 0.0 },
										{ .45, 0.0 },
										{ .5, 1.0 },
										{ 1.0, 1.0 } }, input.speed01),					
					pitch = bbs2util.sampleCurve({ 
									{ 0.0, 1.0 },
									{ 1.0, 1.2 }}, input.speed01)
				},						
				
			-- Fahrstufe 1 
				{	 
					gain = bbs2util.sampleCurve({ 
										{ 0.0, 0.0 },
										{ 0.01, 1.0 },
										{ 0.25, 1.0 },
										{ 0.3, 0.0 },
										{ 1.0, 0.0 } }, input.speed01)*
							bbs2util.sampleCurve({ 
										{ .0, 0.0 },
										{ .15, 0.0 },										
										{ .3, 1.1 },
										{ 1.0, 1.25 } }, input.power01),										
					pitch = bbs2util.sampleCurve({ 
										{ 0.0, 1.0 },
										{ 1.0, 1.0 } }, input.power01)
					
				},
												
			-- Fahrstufe 2 
				{ 
					gain = bbs2util.sampleCurve({ 
										{ 0.0, 0.0 },
										{ 0.25, 0.0 },
										{ 0.3, 1.0 },
										{ 0.45, 1.0 },
										{ 0.5, 0.0 },
										{ 1.0, 0.0 } }, input.speed01)*
							bbs2util.sampleCurve({ 
										{ .0, 0.0 },
										{ .15, 0.0 },										
										{ .3, 1.1 },
										{ 1.0, 1.25 } }, input.power01),										
					pitch = bbs2util.sampleCurve({ 
										{ 0.0, 1.0 },
										{ 1.0, 1.0 } }, input.power01)
					},
										
			-- Fahrstufe 3 
				{ 
					gain = bbs2util.sampleCurve({ 
										{ 0.0, 0.0 },
										{ 0.45, 0.0 },
										{ 0.5, 1.0 },
										{ 0.7, 1.2 },
										{ 0.75, 0.0 },
										{ 1.0, 0.0 } }, input.speed01)*
							bbs2util.sampleCurve({ 
										{ .0, 0.0 },
										{ .5, 0.0 },										
										{ .65, 1.1 },
										{ 1.0, 1.25 } }, input.power01),										
					pitch = bbs2util.sampleCurve({ 
										{ 0.0, 1.0 },
										{ 1.0, 1.0 } }, input.power01)
				},				
			-- Fahrstufe 4 
				{ 
					gain = bbs2util.sampleCurve({ 
										{ 0.0, 0.0 },
										{ 0.7, 0.0 },
										{ 0.75, 1.0 },
										{ 1.0, 0.65 } }, input.speed01)*
							bbs2util.sampleCurve({ 
										{ .0, 0.0 },
										{ .5, 0.0 },										
										{ .65, 1.1 },
										{ 1.0, 1.25 } }, input.power01),										
					pitch = bbs2util.sampleCurve({ 
										{ 0.0, 1.0 },
										{ 1.0, 1.0 } }, input.power01),
				},
					
			-- Fahrstufe 5
				{ 
					gain = bbs2util.sampleCurve({ 
										{ 0.0, 0.0 },
										{ 0.8, 0.0 },
										{ 0.85, 1.0 },
										{ 1.0, 1.15 } }, input.speed01)*
							bbs2util.sampleCurve({ 
										{ .0, 0.0 },
										{ .5, 0.0 },										
										{ .65, 1.1 },
										{ 1.0, 1.25 } }, input.power01),										
					pitch = bbs2util.sampleCurve({ 
										{ 0.0, 1.0 },
										{ 1.0, 1.0 } }, input.power01),			
				},	
					
				bbs2util.squeal(input.speed, input.sideForce, input.maxSideForce),
				bbs2util.brake(input.speed, input.brakeDecel, 1.2),
			},
			
			events = {
						horn = { gain = 1.2, pitch = 1.0 }
			}
		}
	end
}
end
